#!/usr/local/bin/perl

use DBI;

$mailprog = '/bin/sendmail';

$email_alert = 'tech@3d3.com';					# email in case of fatal error

$database = 'regdb';
$user = 'x3d3';
$passwd = '4dcubed';

# Start returning a page...
print "Content-type: application/x-javascript\n\n";
print <<'__EOH__';
function resellerArr() { this.count=0; return(this); }
function reseller(r,d,e,i) {
	this.r=r;
	this.d=parseFloat(d);
	this.e=e;
	this.i=i;
}
var resellers = new resellerArr();
var resellerErr = "";
__EOH__

my($done) = 0;

# connect to the database
$dbh = DBI->connect("DBI:mysql:$database", $user, $passwd);
if($dbh) {
	my($sql) = "SELECT * FROM Reseller WHERE NOT ISNULL(Mid) AND Mid <> '' AND Type=2";
	my($sth) = $dbh->prepare($sql);
	if($sth) {
		if($sth->execute) {
			while($hashref = $sth->fetchrow_hashref) {
				print "resellers.count++; ";
				print "resellers[resellers.count] = new reseller(";
				print "\"$$hashref{'Mid'}\", ";
				print "$$hashref{'Discount'}, ";
				print "\"$$hashref{'Email'}\", ";
				print "$$hashref{'ResellerID'});\n";
			}
		} else {
			print "resellerErr = \"\$sth->execute() failed\";\n";
		}
	} else {
		print "resellerErr = \"\$dbh->prepare() failed\";\n";
	}
	$dbh->disconnect;
} else {
	print "resellerErr = \"\$dbh->connect() failed\";\n";
}
print <<'__EOT__';
function setupResellers() {
	var i=0;
	for(i=1; i<=topFrame.parameters.count; i++) {
		if(topFrame.parameters[i].name.toLowerCase()=="rid") {
			resellerRid=topFrame.parameters[i].value;
			break;
		}
	}
	for(i=1; i<=resellers.count; i++) {
		if(resellers[i].r == resellerRid) {
			resellerIndex=i;
			shopDisc=resellers[i].d;
			resellerEmail=resellers[i].e;
			resellerId=resellers[i].i;
			break;
		}
	}
}
setupResellers();
__EOT__
